eoScalarFitnessAssembled(3)

NAME
eoScalarFitnessAssembled - Implements fitness as std::vector, storing all values that might occur during fitness assembly.

SYNOPSIS

#include <eoScalarFitnessAssembled.h>

  Public Types
typedef std::vector< ScalarType > baseVector
typedef baseVector::size_type size_type

  Public Member Functions
eoScalarFitnessAssembled (size_type _n, const ScalarType &_val, const std::string &_descr='Unnamed variable')
eoScalarFitnessAssembled (const eoScalarFitnessAssembled &other)
eoScalarFitnessAssembled & operator= (const eoScalarFitnessAssembled &other)
eoScalarFitnessAssembled (const ScalarType &v)
eoScalarFitnessAssembled & operator= (const ScalarType &v)
void push_back (const ScalarType &_val)
Overload push_back().
void push_back (const ScalarType &_val, const std::string &_descr)
Overload push_back().
void resize (size_type _n, const ScalarType &_val=ScalarType(), const std::string &_descr='Unnamed variable')
Overload resize().
void setDescription (size_type _idx, std::string _descr)
Set description.
std::string getDescription (size_type _idx)
Get description.
std::vector< std::string > getDescriptionVector ()
Get vector with descriptions.
operator ScalarType (void) const
void printAll (std::ostream &os) const
Print term values and descriptions.
bool operator< (const eoScalarFitnessAssembled &other) const
bool operator> (const eoScalarFitnessAssembled< ScalarType, Compare, FitnessTraits > &y) const
bool operator<= (const eoScalarFitnessAssembled< ScalarType, Compare, FitnessTraits > &y) const
bool operator>= (const eoScalarFitnessAssembled< ScalarType, Compare, FitnessTraits > &y) const

  Public Attributes
bool feasible
Can be specified anywhere in fitness evaluation as an indicator if the individual is in some feasible range.
bool failed
Can be specified anywhere in fitness evaluation as an indicator if the evaluation of the individual failed.
std::string msg
Can be specified anywhere in fitness evaluation.

Detailed Description

  template<class ScalarType, class Compare, class FitnessTraits> class eoScalarFitnessAssembled< ScalarType, Compare, FitnessTraits >
Implements fitness as std::vector, storing all values that might occur during fitness assembly. Properties:

•   Wraps a scalar fitness values such as a double or int, with the option of maximizing (using less<ScalarType>) or minimizing (using greater<ScalarType>).

•   Stores all kinda different values met during fitness assembly, to be defined in eoEvalFunc.

•   It overrides operator<() to use the Compare template argument.

•   Suitable constructors and assignments and casts are defined to work with this quantity as if it were a ScalarType.

•   Global fitness value is stored as first element in the vector

Definition at line 88 of file eoScalarFitnessAssembled.h.

Member Data Documentation

  template<class ScalarType, class Compare, class FitnessTraits> std::string eoScalarFitnessAssembled< ScalarType, Compare, FitnessTraits >::msg

Can be specified anywhere in fitness evaluation.

Typically used to store some sort of error messages, if evaluation of individual failed.

Definition at line 195 of file eoScalarFitnessAssembled.h.

Author

Generated automatically by Doxygen for EO from the source code.